# __gnu_pbds::string_trie_e_access_traits< String, Min_E_Val, Max_E_Val, Reverse, Allocator > Struct Template Reference

List of all members.

## Detailed Description

### template<typename String = std::string, typename String::value_type Min_E_Val = detail::__numeric_traits<typename String::value_type>::__min, typename String::value_type Max_E_Val = detail::__numeric_traits<typename String::value_type>::__max, bool Reverse = false, typename Allocator = std::allocator<char>>
struct __gnu_pbds::string_trie_e_access_traits< String, Min_E_Val, Max_E_Val, Reverse, Allocator >

Definition at line 76 of file trie_policy.hpp.

## Public Types

- enum { reverse }
- enum { min_e_val, max_e_val, max_size }
- typedef detail::__conditional_type<
  Reverse, typename String::const_reverse_iterator,
  typename String::const_iterator
  >::__type const_iterator
- typedef key_rebind::const_reference const_key_reference
- typedef std::iterator_traits<
  const_iterator >::value_type e_type
- typedef Allocator::template
  rebind< key_type >::other key_rebind
- typedef String key_type
- typedef Allocator::size_type size_type

## Public Member Functions

- PB_DS_STATIC_ASSERT (min_max_size, max_size >=2)

## Static Public Member Functions

- static const_iterator begin (const_key_reference)
- static size_type e_pos (e_type e)
- static const_iterator end (const_key_reference)

The documentation for this struct was generated from the following file:

- trie_policy.hpp